/*
 * Copyright (c) 1999-2000 University of California, Riverside.
 * Permission to copy is granted provided that this header remains
 * intact.  This software is provided with no warranties.
 *
 * Version : 1.0
 */

/*--------------------------------------------------------------------------*/

#include <reg51.h>
#include "ccdpp.h"
#include "codec.h"
#include "uat.h"
#include "cntrl.h"

/*--------------------------------------------------------------------------*/

void main() {
    
    P0 = 0;
    CcdppInitialize();
    CodecInitialize();
    UatInitialize();
    CntrlInitialize();
    
    P0 = 1;
    CntrlCaputreImage();
    
    P0 = 2;
    CntrlCompressImage();
    
    P0 = 3;
    CntrlSendImage();
    
    P0 = 4;
    while(1);
}
















